cURL
curl --request POST \ --url https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/captions/{srclang} \ --header 'AccessKey: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "srclang": "<string>", "label": "<string>", "captionsFile": "<string>" } '
{ "success": true, "message": "<string>", "statusCode": 123 }
Documentation IndexFetch the complete documentation index at: https://docs.bunny.net/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.bunny.net/llms.txt
Use this file to discover all available pages before exploring further.
AccessKey based authentication
The unique srclang shortcode for the caption
The text description label for the caption
Base64 encoded captions file
The caption was successfully uploaded
Determines if the request was successful
Response message description
The response status code
Was this page helpful?
Contact support